package tiw5.metier.services.handlers;

import javax.xml.ws.handler.LogicalHandler;
import javax.xml.ws.handler.LogicalMessageContext;
import javax.xml.ws.handler.MessageContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SimpleLogHandler implements LogicalHandler<LogicalMessageContext> {

	private final static Logger LOG = LoggerFactory.getLogger(SimpleLogHandler.class);
	
	@Override
	public void close(MessageContext ctx) {
	}

	@Override
	public boolean handleFault(LogicalMessageContext ctx) {
		LOG.warn("faute");
		return true;
	}

	@Override
	public boolean handleMessage(LogicalMessageContext ctx) {
		boolean outbound = (Boolean) ctx.get(MessageContext.MESSAGE_OUTBOUND_PROPERTY);
		LOG.info("message "+(outbound?"sortant":"entrant"));
		return true;
	}

}
