package tiw5.metier.services.rest;

import javax.ejb.Stateless;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

import tiw5.modele.InfosFilms;

@Path("/coucou")
@Stateless
public class CoucouService {

	@GET
	@Path("/repond/{qui}")
	public String repondCoucou(@PathParam("qui") String qui) {
		return "Coucou "+qui;
	}

	@GET
	@Path("/dit")
	public String ditCoucou() {
		return "Coucou";
	}
	
	@POST
	@Path("/cFilm")
	@Consumes("application/xml")
	public 
	int compteFilm(InfosFilms infosFilm) {
		return infosFilm.getFilms().size();
	}

	
}
